--- a/ifcico/flagexp.y
+++ b/ifcico/flagexp.y
@@ -11,6 +11,13 @@
 node *nodebuf;
 int result;
 struct tm *now;
+
+int match(int fl);
+int logic(int e1, int op, int e2);
+int checkspeed(int op, int speed);
+int checkphone(void);
+int yyerror(char *s);
+extern int yylex (void);
 %}
 
 %%
@@ -121,9 +128,6 @@ node *nl;
 	now=localtime(&tt);
 	p=xstrcpy(expr);
 	yyPTR=p;
-#ifdef FLEX_SCANNER  /* flex requires reinitialization */
-	yy_init=1;
-#endif
 	result=0;
 	if ((yyparse()))
 	{
